import { BaseOutput } from '~/core/entities/output/baseOutput';

export class StockTakingAllOutput extends BaseOutput {
    /* tslint:disable variable-name */
    ID: number;
    ID_StockTakingState: string;
    DisplayName: string;
    Warehouses: string;
    ID_Unit: number;
    Date: string;

    /* tslint:enable variable-name */

    constructor() {
        super();
        this.ID = null;
        this.ID_StockTakingState = null;
        this.DisplayName = null;
        this.Warehouses = null;
        this.ID_Unit = null;
        this.Date = null;
    }

    toString() {
        return this.DisplayName + ' ' + this.ID + ' ' + this.ID_StockTakingState + ' ' + this.Warehouses;
    }
}
